Bug 174368 - (perl-Crypt-DSA) Review Request: perl-Crypt-DSA
Review Request: perl-Crypt-DSA
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
David Lawrence
http://search.cpan.org/dist/Crypt-DSA/
:
Depends On: 168607 perl-Data-Buffer
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-28 11:33 EST by Paul Howarth
Modified: 2009-03-12 23:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-02 12:53:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2005-11-28 11:33:40 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Crypt-DSA/perl-Crypt-DSA.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Crypt-DSA/perl-Crypt-DSA-0.13-1.src.rpm
Description:

Crypt::DSA is an implementation of the DSA (Digital Signature Algorithm)
signature verification system. This package provides DSA signing, signature
verification, and key generation.
Comment 1 Jason Tibbitts 2006-02-07 23:02:53 EST
I had to build perl-Convert-PEM and one of its prerequisites from CVS in order
to begin a review.

The %check portion of the build took several minutes, some of it without any
noticeable CPU consumption.  I found that odd, but the package built in the end.

rpmlint is silent.
Source matches upstream.
The license is acceptable ("same as Perl" in the source, so "GPL or Artistic" is 
  appropriate).
Package meets naming and packaging guidelines.
Specfile is properly named, legible, and uses macros consistently.
Package builds and installs on FC4 x86 and FC3 x86_64.
BuildRequires: is proper.

Could you verify that the odd test behavior is OK?  If it is, I'll approve this
package.
Comment 2 Paul Howarth 2006-02-08 05:14:21 EST
(In reply to comment #1)
> I had to build perl-Convert-PEM and one of its prerequisites from CVS in order
> to begin a review.

I've asked Steve to do an FC4 build of perl-Convert-PEM now, so hopefully this
will be available soon.

> The %check portion of the build took several minutes, some of it without any
> noticeable CPU consumption.  I found that odd, but the package built in the end.

...

> Could you verify that the odd test behavior is OK?  If it is, I'll approve this
> package.

I've just done a test rebuild of the package here, which took just under 5
minutes (seems reasonable), and it used 100% CPU throughout the test suite. One
possibility is that your build was waiting for some entropy at some point during
the test suite? Perhaps pressing some keys when it's in that state might help?
Comment 3 Jason Tibbitts 2006-02-08 09:07:34 EST
> I've just done a test rebuild of the package here, which took just under 5
> minutes (seems reasonable), and it used 100% CPU throughout the test suite. One
> possibility is that your build was waiting for some entropy at some point during
> the test suite?

That is reasonable; the machine is headless and so probably doesn't have much of
an entropy source.

Approved, but of course you're stuck in the development branch until all of your
prerequisites are built.

Comment 4 Paul Howarth 2006-02-08 09:41:09 EST
Build on target fedora-development-extras succeeded.

Will wait for perl-Convert-PEM to appear in the FC4 repo now.
Comment 5 Paul Howarth 2006-03-02 12:53:00 EST
Build on target fedora-4-extras succeeded.
Comment 6 Paul Howarth 2009-03-11 06:49:50 EDT
Package Change Request
======================
Package Name: perl-Crypt-DSA
New Branches: EL-4 EL-5
Owners: pghmcfc
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2009-03-12 23:05:48 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.